// audio.c
// Tom Perme
// Microchip Technology Inc.
// 2007

#include "main887.h"

// Constants
#define TOVER2		 	25						// Constant used to create audible on off pulsing of buzzer



void Buzz(void);


/*....................................................................
. Buzz()
.
.		Buzzes the buzzer for a short period of time.
.
.		For PICDEM mTouch board, RC2/CCP1 pin was used to allow
.	possible use of PWM.  However, this would use Timer2 as a 
.	resource, and for the purposes of making a brief 'beep' it
.	is not necessary.
.
.		Buzzer used requires external drive, so turn on and off
.	the buzzer at a rate on the order of 1-2kHz.
....................................................................*/
void Buzz(void) {
	int alpha;									// local variable for for-loop
	
	// Target Frequency = 1600Hz
	// Target Period = 625us
	// Target T/2 ~= 312.5us 
	// Target T/2 ins cyc @ 1/2us cyc = 625 cycles

	
	BUZZER = BUZZON;							// Turn buzzer on
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZOFF;							// Turn buzzer off
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZON;							// Turn buzzer on
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZOFF;							// Turn buzzer off
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZON;							// Turn buzzer on
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZOFF;							// Turn buzzer off
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZON;							// Turn buzzer on
	for (alpha=0; alpha < TOVER2; alpha++);		// Approx. T/2 delay
	BUZZER = BUZZOFF;							// Turn buzzer off
	

	// Looping this code would waste an extra variable and stack location 
	// Not looping this code uses more program memory, 
	// but there is excess program memory currently; so no loop was used.



	Flags.BUZZDONE = 1;							// Signify buzzer is finished (to allow callers to only buzz/click once)
}