// display.c
// Tom Perme
// Microchip Technology Inc.
// 2007

#include "main887.h"


/*....................................................................
. ClearK_LEDs()
.
.		Clears the keypad LEDs.
....................................................................*/
void ClearK_LEDs(void) {
	K_LED0 = OFF;
	K_LED1 = OFF;
	K_LED2 = OFF;
	K_LED3 = OFF;
	K_LED4 = OFF;
	K_LED5 = OFF;
	K_LED6 = OFF;
	K_LED7 = OFF;
	K_LED8 = OFF;
	K_LED9 = OFF;
}



/*....................................................................
. SetK_LEDs()
.
.		Sets the keypad LEDs.
....................................................................*/
void SetK_LEDs(void) {
	K_LED0 = ON;
	K_LED1 = ON;
	K_LED2 = ON;
	K_LED3 = ON;
	K_LED4 = ON;
	K_LED5 = ON;
	K_LED6 = ON;
	K_LED7 = ON;
	K_LED8 = ON;
	K_LED9 = ON;
}



/*....................................................................
. SetSliderLEDs(char input)
.
.		Sets the LEDs based on the position of the slider.
.	1 through 7 set LEDs of minimum 1 max all 7 are on.
.	The value 99 will turn off all LEDs for sleep mode.
....................................................................*/
void SetSliderLEDs(char input) {

	switch (input) {
		// Leds      Bottom     .        .        .        .        Top
		case 1:		RD6=ON;  RD5=OFF; RD4=OFF; RC7=OFF; RC6=OFF; RC5=OFF; break;	
		case 2:		RD6=ON;  RD5=ON;  RD4=OFF; RC7=OFF; RC6=OFF; RC5=OFF; break;
		case 3:		RD6=ON;  RD5=ON;  RD4=ON;  RC7=OFF; RC6=OFF; RC5=OFF; break;
		case 4:		RD6=ON;  RD5=ON;  RD4=ON;  RC7=ON;  RC6=OFF; RC5=OFF; break;
		case 5:		RD6=ON;  RD5=ON;  RD4=ON;  RC7=ON;  RC6=ON;  RC5=OFF; break;
		case 6:		RD6=ON;  RD5=ON;  RD4=ON;  RC7=ON;  RC6=ON;  RC5=ON;  break;
		// Special Case for all OFF (only used for sleep operation)
		case 99:	RD6=OFF; RD5=OFF; RD4=OFF; RC7=OFF; RC6=OFF; RC5=OFF; break;	
		default:	break;
	}

}
