//******************************************************************************
// Software License Agreement
//
// The software supplied herewith by Microchip Technology
// Incorporated (the "Company") is intended and supplied to you, the
// Companys customer, for use solely and exclusively on Microchip
// products. The software is owned by the Company and/or its supplier,
// and is protected under applicable copyright laws. All rights are
// reserved. Any use in violation of the foregoing restrictions may
// subject the user to criminal sanctions under applicable laws, as
// well as to civil liability for the breach of the terms and
// conditions of this license.
//
// THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
// WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
// TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
// PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
// IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
//
//******************************************************************************


// SSP Prototypes
extern void SSPInit(void);
extern void SSPISR(void);					
extern void LoadSSPBUF(void);
extern void UnloadSSPBUF(void);
extern void SetMasterMode(void);
extern void SetSlaveMode(void);



// SSP Command Bytes
#define READ_NUM_SENSORS		0x00			// Byte value received in formatted communications
#define READ_RAW_AVG			0x03			// received to identify the various commands received
#define READ_ALL				0x0C			// and appropriate action
#define WRITE_SENSOR			0x30

#define _16F677_DEVICEADDR		0x72			// I2C Device address of 16f677
#define _16F677_SHUTDOWN		0x05			// Command byte to shutdown 677 circuit
#define _16F677_WAKEUP			0x50			// Command byte to wakeup 677 circuit

